---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach014Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x59610, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B550, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5B940, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5C8E0, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5C8F0, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59270, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59274, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59278, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x593C0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59478, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5947C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59480, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59484, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59488, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59490, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x594A0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x594A8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x594B0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x594B8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x594C0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x594C8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x5950C, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x59510, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x59518, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x59520, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9175, offset: 0x9175, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x59530, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x59538, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x91E0, offset: 0x91E0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xFC0, symSize: 0x80 }
  - { offsetInCU: 0x9275, offset: 0x9275, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xF10, symSize: 0xB0 }
  - { offsetInCU: 0x92D0, offset: 0x92D0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xE10, symSize: 0x100 }
  - { offsetInCU: 0x9563, offset: 0x9563, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1040, symSize: 0x220 }
  - { offsetInCU: 0x9748, offset: 0x9748, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1260, symSize: 0xA0 }
  - { offsetInCU: 0x97FB, offset: 0x97FB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1300, symSize: 0x110 }
  - { offsetInCU: 0x98F1, offset: 0x98F1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1410, symSize: 0x150 }
  - { offsetInCU: 0x9A4E, offset: 0x9A4E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1560, symSize: 0x30 }
  - { offsetInCU: 0x9B2F, offset: 0x9B2F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1590, symSize: 0x150 }
  - { offsetInCU: 0x9D27, offset: 0x9D27, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x16E0, symSize: 0x160 }
  - { offsetInCU: 0x9EC7, offset: 0x9EC7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1840, symSize: 0x1B0 }
  - { offsetInCU: 0xA0E2, offset: 0xA0E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x19F0, symSize: 0xA0 }
  - { offsetInCU: 0xA1B1, offset: 0xA1B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1A90, symSize: 0x20 }
  - { offsetInCU: 0xA1E8, offset: 0xA1E8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1AB0, symSize: 0x20 }
  - { offsetInCU: 0xA21F, offset: 0xA21F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1AD0, symSize: 0x20 }
  - { offsetInCU: 0xA38E, offset: 0xA38E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1AF0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6AA, offset: 0xA6AA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1C90, symSize: 0x150 }
  - { offsetInCU: 0xA85F, offset: 0xA85F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1DE0, symSize: 0x80 }
  - { offsetInCU: 0xA928, offset: 0xA928, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1E60, symSize: 0x6C0 }
  - { offsetInCU: 0xB49E, offset: 0xB49E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB4C0, symBinAddr: 0x3950, symSize: 0xB0 }
  - { offsetInCU: 0xB515, offset: 0xB515, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2520, symSize: 0x70 }
  - { offsetInCU: 0xB5E9, offset: 0xB5E9, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2590, symSize: 0xA0 }
  - { offsetInCU: 0xB6F4, offset: 0xB6F4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2630, symSize: 0x40 }
  - { offsetInCU: 0xB7EA, offset: 0xB7EA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2670, symSize: 0x2B0 }
  - { offsetInCU: 0xBB90, offset: 0xBB90, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2920, symSize: 0xC0 }
  - { offsetInCU: 0xBCD6, offset: 0xBCD6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x29E0, symSize: 0x10 }
  - { offsetInCU: 0xBD98, offset: 0xBD98, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x29F0, symSize: 0x240 }
  - { offsetInCU: 0xC081, offset: 0xC081, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9D40, symBinAddr: 0x2C30, symSize: 0x150 }
  - { offsetInCU: 0xC144, offset: 0xC144, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9E90, symBinAddr: 0x2D80, symSize: 0x3C0 }
  - { offsetInCU: 0xC47D, offset: 0xC47D, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA330, symBinAddr: 0x3140, symSize: 0xF0 }
  - { offsetInCU: 0xC5AF, offset: 0xC5AF, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA420, symBinAddr: 0x3230, symSize: 0x2C0 }
  - { offsetInCU: 0xC90E, offset: 0xC90E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6E0, symBinAddr: 0x34F0, symSize: 0xB0 }
  - { offsetInCU: 0xC975, offset: 0xC975, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA790, symBinAddr: 0x35A0, symSize: 0x230 }
  - { offsetInCU: 0xCC2E, offset: 0xCC2E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xAEA0, symBinAddr: 0x37D0, symSize: 0x180 }
  - { offsetInCU: 0xCE79, offset: 0xCE79, size: 0x8, addend: 0x0, symName: _classLoadHandler, symObjAddr: 0xC090, symBinAddr: 0x3A00, symSize: 0x260 }
  - { offsetInCU: 0xD17E, offset: 0xD17E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC2F0, symBinAddr: 0x3C60, symSize: 0x320 }
  - { offsetInCU: 0xD54C, offset: 0xD54C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC610, symBinAddr: 0x3F80, symSize: 0x36A }
...
